ConnectionPoolProperties (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.datasource.pool

## Interface ConnectionPoolProperties

-     public interface ConnectionPoolProperties

  This interface describes connection pool properties.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBorrowConnectionTimeout()` Gets the borrow connection timeout.
    `int` | `getDefaultIsolationLevel()` Gets the default isolation level preference.
    `boolean` | `getLocalTransactionMode()` Tests whether local transactions are to be allowed or not.
    `int` | `getMaintenanceInterval()` Gets the maintenance interval of the pool's maintenance thread.
    `int` | `getMaxIdleTime()` Gets the max time in seconds a connection can stay idle before being closed.
    `int` | `getMaxLifetime()` Gets the max time in seconds that a connection may be kept alive.
    `int` | `getMaxPoolSize()` Gets the maximum pool size.
    `int` | `getMinPoolSize()` Gets the minimum pool size.
    `int` | `getReapTimeout()` Gets the reap timeout.
    `java.lang.String` | `getTestQuery()` Gets the query used to test connections.
    `java.lang.String` | `getUniqueResourceName()` Gets the unique resource name.

- - ### Method Detail

    - #### getUniqueResourceName

          java.lang.String getUniqueResourceName()

      Gets the unique resource name.
      Returns:

    - #### getMaxPoolSize

          int getMaxPoolSize()

      Gets the maximum pool size.
      Returns:

    - #### getMinPoolSize

          int getMinPoolSize()

      Gets the minimum pool size.
      Returns:

    - #### getBorrowConnectionTimeout

          int getBorrowConnectionTimeout()

      Gets the borrow connection timeout.
      Returns:

    - #### getReapTimeout

          int getReapTimeout()

      Gets the reap timeout.
      Returns:

    - #### getMaxIdleTime

          int getMaxIdleTime()

      Gets the max time in seconds a connection can stay idle before being closed.
      Returns:

    - #### getMaxLifetime

          int getMaxLifetime()

      Gets the max time in seconds that a connection may be kept alive.
      Returns:

    - #### getMaintenanceInterval

          int getMaintenanceInterval()

      Gets the maintenance interval of the pool's maintenance thread.
      Returns:

    - #### getTestQuery

          java.lang.String getTestQuery()

      Gets the query used to test connections.
      Returns:

    - #### getLocalTransactionMode

          boolean getLocalTransactionMode()

      Tests whether local transactions are to be allowed or not.
      Returns:

    - #### getDefaultIsolationLevel

          int getDefaultIsolationLevel()

      Gets the default isolation level preference.
      Returns:
        The level, or -1 if not set.

Copyright © 2018. All Rights Reserved.